package com.zh.project0512.model.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class FileUploadParamVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @Schema(title = "文件地址")
    private String url;

    @Schema(title = "时长(视频需要)")
    private Integer duration;

    @Schema(title = "封面地址(视频需要)")
    private String cover;
}
